Backend (API Key)Integrations
Get active integrations for particular external user
Get active integrations for particular external user.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
externalUserId*string
The external user id.
id*integer
The id of an integration.
Format
int64Header Parameters
X-Environment?string
The environment.
Value in
- "DEVELOPMENT"
- "STAGING"
- "PRODUCTION"
Response Body
application/json
curl -X GET "https://example.com/string/integrations/0"{ "componentName": "string", "description": "string", "icon": "string", "id": 0, "integrationInstances": [ { "id": 0, "credentialStatus": "VALID", "enabled": true, "mcpTools": [ { "enabled": true, "mcpToolId": 0 } ], "mcpWorkflows": [ { "enabled": true, "inputs": {}, "workflowUuid": "string" } ], "workflows": [ { "enabled": true, "inputs": {}, "workflowUuid": "string" } ] } ], "integrationVersion": 0, "multipleInstances": false, "name": "string", "connectionConfig": { "authorizationType": "API_KEY", "inputs": [ { "internalOnly": false, "label": "string", "name": "string", "objectName": "string", "required": false, "type": "BOOLEAN", "componentReference": { "componentName": "string", "componentVersion": 0, "groupName": "string", "group": { "name": "string", "label": "string", "properties": [ { "name": "string", "label": "string", "type": "BOOLEAN", "controlType": "string", "required": true, "options": [ { "label": "string", "value": "string" } ], "dynamicOptions": true, "optionsLookupDependsOn": [ "string" ] } ] } } } ], "oauth2": { "authorizationUrl": "string", "extraQueryParameters": { "property1": "string", "property2": "string" }, "clientId": "string", "redirectUri": "string", "scopes": { "property1": "string", "property2": "string" } } }, "mcpWorkflows": [ { "description": "string", "inputs": [ { "internalOnly": false, "label": "string", "name": "string", "objectName": "string", "required": false, "type": "BOOLEAN", "componentReference": { "componentName": "string", "componentVersion": 0, "groupName": "string", "group": { "name": "string", "label": "string", "properties": [ { "name": "string", "label": "string", "type": "BOOLEAN", "controlType": "string", "required": true, "options": [ { "label": "string", "value": "string" } ], "dynamicOptions": true, "optionsLookupDependsOn": [ "string" ] } ] } } } ], "label": "string", "workflowUuid": "string" } ], "mcpTools": [ { "description": "string", "id": 0, "name": "string" } ], "workflows": [ { "description": "string", "inputs": [ { "internalOnly": false, "label": "string", "name": "string", "objectName": "string", "required": false, "type": "BOOLEAN", "componentReference": { "componentName": "string", "componentVersion": 0, "groupName": "string", "group": { "name": "string", "label": "string", "properties": [ { "name": "string", "label": "string", "type": "BOOLEAN", "controlType": "string", "required": true, "options": [ { "label": "string", "value": "string" } ], "dynamicOptions": true, "optionsLookupDependsOn": [ "string" ] } ] } } } ], "label": "string", "workflowUuid": "string" } ]}How is this guide?